"""=================================================================
با فرض اینکه عناصر ماتریس A با مرتبه M*N قبلاً ذخیره شده است؛ منطق
برنامه ای را طراحی کنید که جمع عناصر هر سطر ماتریس را به تفکیک
محاسبه و چاپ کند و جمع کل عناصر ماتریس را نیز محاسبه و چاپ کند.
================================================================="""

#         Make Matrix A
#------------------------------------
A = []
for i in range(1,3):
    row = []
    for j in range(1,4):
        row.append(i+j)
        print(i+j,end="\t")
    print()
    A.append(row)


#          Sum obj in row
#----------------------------------
total = 0
for i in range(len(A)):
    sum = 0
    for j in range(len(A[i])):
        sum = sum + A[i][j]
    total += sum
    print("-"*30,"\nRow",i+1,"\t==>\t","sum = ",sum)
print("="*30,"\nTotal = ",total)

